{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_person_overview', fetch_merged_url_parameters_by_session_key_name('personOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt anlegen</span>
        {{ form_widget(personCreateForm.save, {'label': 'SPEICHERN', 'id': personCreateForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            {{ form_start(personCreateForm, {'attr': {'id': personCreateForm.vars.id ~ '_form'}}) }}
            {% include 'person_management/form/person/person_create_form.html.twig' with {'form': personCreateForm} only %}
            {{ form_row(personCreateForm._token) }}
            {{ form_end(personCreateForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
